Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sharin.sql.generator
Class BasicSqlGenerator

    java.lang.Object
      sharin.sql.generator.BasicSqlGenerator

All Implemented Interfaces:
  SqlGenerator

    public class BasicSqlGenerator

extends Object
implements SqlGenerator

Constructor Summary
`BasicSqlGenerator(EntityInfo entityInfo)`
`BasicSqlGenerator(EntityInfo entityInfo, Map<String,JoinInfo> joinInfoMap)`

Method Summary
`Sql` | `countAll()`
`Sql` | `countBySample(Object sample)`
`Sql` | `countBySamples(Object... samples)`
`Sql` | `deleteAll()`
`Sql` | `deleteById(Object id)`
`Sql` | `deleteByIds(Object... ids)`
`Sql` | `deleteBySample(Object sample)`
`Sql` | `deleteBySamples(Object... samples)`
`Sql` | `insert(String propExpr, Object entity)`
`Sql` | `selectAll(String propExpr, String orderExpr)`
`Sql` | `selectById(String propExpr, Object id)`
`Sql` | `selectByIds(String propExpr, String orderExpr, Object... ids)`
`Sql` | `selectBySample(String propExpr, String orderExpr, Object sample)`
`Sql` | `selectBySamples(String propExpr, String orderExpr, Object... samples)`
`Sql` | `updateAll(String propExpr, Object entity)`
`Sql` | `updateById(String propExpr, Object entity, Object id)`
`Sql` | `updateByIds(String propExpr, Object entity, Object... ids)`
`Sql` | `updateBySample(String propExpr, Object entity, Object sample)`
`Sql` | `updateBySamples(String propExpr, Object entity, Object... samples)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicSqlGenerator

    public BasicSqlGenerator(EntityInfo entityInfo)

### BasicSqlGenerator

    public BasicSqlGenerator(EntityInfo entityInfo,
                             Map<String,JoinInfo> joinInfoMap)

Method Detail

### countAll

    public Sql countAll()

  Specified by:
    `countAll` in interface `SqlGenerator`

### countBySample

    public Sql countBySample(Object sample)

  Specified by:
    `countBySample` in interface `SqlGenerator`

### countBySamples

    public Sql countBySamples(Object... samples)

  Specified by:
    `countBySamples` in interface `SqlGenerator`

### selectAll

    public Sql selectAll(String propExpr,
                         String orderExpr)

  Specified by:
    `selectAll` in interface `SqlGenerator`

### selectBySample

    public Sql selectBySample(String propExpr,
                              String orderExpr,
                              Object sample)

  Specified by:
    `selectBySample` in interface `SqlGenerator`

### selectBySamples

    public Sql selectBySamples(String propExpr,
                               String orderExpr,
                               Object... samples)

  Specified by:
    `selectBySamples` in interface `SqlGenerator`

### selectById

    public Sql selectById(String propExpr,
                          Object id)

  Specified by:
    `selectById` in interface `SqlGenerator`

### selectByIds

    public Sql selectByIds(String propExpr,
                           String orderExpr,
                           Object... ids)

  Specified by:
    `selectByIds` in interface `SqlGenerator`

### insert

    public Sql insert(String propExpr,
                      Object entity)

  Specified by:
    `insert` in interface `SqlGenerator`

### updateAll

    public Sql updateAll(String propExpr,
                         Object entity)

  Specified by:
    `updateAll` in interface `SqlGenerator`

### updateBySample

    public Sql updateBySample(String propExpr,
                              Object entity,
                              Object sample)

  Specified by:
    `updateBySample` in interface `SqlGenerator`

### updateBySamples

    public Sql updateBySamples(String propExpr,
                               Object entity,
                               Object... samples)

  Specified by:
    `updateBySamples` in interface `SqlGenerator`

### updateById

    public Sql updateById(String propExpr,
                          Object entity,
                          Object id)

  Specified by:
    `updateById` in interface `SqlGenerator`

### updateByIds

    public Sql updateByIds(String propExpr,
                           Object entity,
                           Object... ids)

  Specified by:
    `updateByIds` in interface `SqlGenerator`

### deleteAll

    public Sql deleteAll()

  Specified by:
    `deleteAll` in interface `SqlGenerator`

### deleteBySample

    public Sql deleteBySample(Object sample)

  Specified by:
    `deleteBySample` in interface `SqlGenerator`

### deleteBySamples

    public Sql deleteBySamples(Object... samples)

  Specified by:
    `deleteBySamples` in interface `SqlGenerator`

### deleteById

    public Sql deleteById(Object id)

  Specified by:
    `deleteById` in interface `SqlGenerator`

### deleteByIds

    public Sql deleteByIds(Object... ids)

  Specified by:
    `deleteByIds` in interface `SqlGenerator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SHU. All Rights Reserved.